Bug 189981 - [PATCH] devel/hg-git: update to 0.6.0
Summary: [PATCH] devel/hg-git: update to 0.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-20 09:30 UTC by Gasol Wu
Modified: 2014-05-24 17:03 UTC (History)
1 user (show)

See Also:


Attachments
py-hg-git-0.6.0.patch (1.56 KB, patch)
2014-05-20 09:30 UTC, Gasol Wu
no flags Details | Diff
hg-git.patch (1.25 KB, patch)
2014-05-24 12:15 UTC, Marco Bröder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gasol Wu 2014-05-20 09:30:00 UTC
- Update to 0.6.0

Port maintainer (marco.broeder@posteo.eu) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2014-05-20 09:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-05-20 09:30:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2014-05-20 09:30:09 UTC
Maintainer of devel/hg-git,

Please note that PR ports/189981 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/189981

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Marco Bröder 2014-05-24 12:15:27 UTC
Hello,

thank you for your submission. I am testing this release along with
Dulwich 0.6.0 for a week now without issues. So I think it is safe to
update the port.

Your patch has just one problem. The change in pkg-message is wrong.
The bookmarks extension does not exist anymore.

Since the release of Mercurial 1.8 (committed to the ports tree more
than three years ago) it became a core command / functionality. So I
removed the bookmarks line with the update to 0.3.2 release more than
two years ago. After a long transition period I finally removed the
obsolescence notice more than a half year ago.

Attached is a new patch to commit.

Build tested with portlint and poudriere testport on amd64 for head,
stable/10, releng/9.2, releng/8.4. Runtime tested with devel/dulwich on
stable/10 amd64.

Thanks!

-- 
Kind regards
Comment 5 dfilter service freebsd_committer 2014-05-24 15:12:22 UTC
Author: sunpoet
Date: Sat May 24 14:12:15 2014
New Revision: 355031
URL: http://svnweb.freebsd.org/changeset/ports/355031
QAT: https://qat.redports.org/buildarchive/r355031/

Log:
  - Update to 0.6.0
  - Update WWW
  
  PR:		ports/189981
  Submitted by:	Gasol Wu <gasol.wu@gmail.com>
  Approved by:	Marco Broder <marco.broeder@posteo.eu> (maintainer)

Modified:
  head/devel/hg-git/Makefile
  head/devel/hg-git/distinfo
  head/devel/hg-git/pkg-descr

Modified: head/devel/hg-git/Makefile
==============================================================================
--- head/devel/hg-git/Makefile	Sat May 24 14:12:09 2014	(r355030)
+++ head/devel/hg-git/Makefile	Sat May 24 14:12:15 2014	(r355031)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	hg-git
-PORTVERSION=	0.5.0
+PORTVERSION=	0.6.0
 CATEGORIES=	devel python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}

Modified: head/devel/hg-git/distinfo
==============================================================================
--- head/devel/hg-git/distinfo	Sat May 24 14:12:09 2014	(r355030)
+++ head/devel/hg-git/distinfo	Sat May 24 14:12:15 2014	(r355031)
@@ -1,2 +1,2 @@
-SHA256 (hg-git-0.5.0.tar.gz) = bad27f98f4a3d58acbea6495b93d6b7ca27e5544e1c685c4432e5d0fe09fcbee
-SIZE (hg-git-0.5.0.tar.gz) = 28923
+SHA256 (hg-git-0.6.0.tar.gz) = fe10a81d5daf401e1df6d04e63a300a405441a77f13dfd6f1833e76c2785ecd5
+SIZE (hg-git-0.6.0.tar.gz) = 31073

Modified: head/devel/hg-git/pkg-descr
==============================================================================
--- head/devel/hg-git/pkg-descr	Sat May 24 14:12:09 2014	(r355030)
+++ head/devel/hg-git/pkg-descr	Sat May 24 14:12:15 2014	(r355031)
@@ -18,4 +18,4 @@ The plugin is basically functional and u
 edge cases. However, there are several people using it effectively, so please
 test it yourself and report encountered bugs upstream (see website). Thanks!
 
-WWW: http://hg-git.github.com/
+WWW: https://hg-git.github.io/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Po-Chuan Hsieh freebsd_committer 2014-05-24 17:03:52 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!